SND_PCM_HW_CONSTRAIN(9)

NAME
snd_pcm_hw_constraint_step - add a hw constraint step rule

SYNOPSIS

int snd_pcm_hw_constraint_step(struct snd_pcm_runtime * runtime, unsigned int cond, snd_pcm_hw_param_t var, unsigned long step);

ARGUMENTS

runtime
    PCM runtime instance

cond
    condition bits

var
    hw_params variable to apply the step constraint

step
    step size

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT